<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Pencairan Dana
        <small>Form</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Transaksi</li>
        <li class="active"> Pencairan Dana</li>
    </ol>
</section>

<section layout:fragment="main" class="content">
    <div class="row">

        <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">Form Pencairan dana</h3>
                </div>

                <div class="box-body no-padding">
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="box box-success">
                                <div class="box-body">
                                    <span class="info-box-text" th:text="${pengajuanDana.deskripsiBiaya}">Bookmarks</span>
                                    <span class="info-box-number" th:text="${'Rp. ' + #numbers.formatDecimal(pengajuanDana.jumlah, 0, 'POINT', 2, 'COMMA')}">41,410</span>
                                    <div class="progress">
                                        <div class="progress-bar" style="width: 70%"></div>
                                    </div>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                            <!-- /.info-box -->
                        </div>
                    </div>
                </div>



                <form class="form-horizontal" th:action="@{/transaksi/pencairandana/save(pengajuan = ${pengajuanDana.id})}" th:object="${pencairanDana}" method="post" enctype="multipart/form-data">
                    <div class="box-body">


                        <div class="form-group">
                            <label for="jenisPencairan" class="col-sm-2 control-label">Jenis</label>

                            <div class="col-sm-10">
                                <select class="form-control select2" name="jenisPencairan" th:field="*{jenisPencairan}" id="jenisPencairan" style="width: 100%;">
                                    <option th:value="CASH">CASH</option>
                                    <option th:value="TRANSFER">TRANSFER</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="nominalMintaPencairan" class="col-sm-2 control-label">Nominal</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{nominalMintaPencairan}" name="nominalMintaPencairan" id="nominalMintaPencairan" placeholder="0.00">
                                <p th:if="${#fields.hasErrors('nominalMintaPencairan')}" th:errors="*{nominalMintaPencairan}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="bank" class="col-sm-2 control-label">Bank</label>

                            <div class="col-sm-10">
                                <select class="form-control select2" name="bank" th:field="*{bank}" id="bank" style="width: 100%;">

                                    <option th:each="data : ${listBank}"
                                            th:text="${'('+ data.kodeBank +')'  + '       -       ' +  data.namaBank}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="nomorRekening" class="col-sm-2 control-label">No_Rekening</label>

                            <div class="col-sm-10">
                                <input type="number" class="form-control" th:field="*{nomorRekening}" name="nomorRekening" id="nomorRekening" placeholder="Isi Nomor Rekening Jika Pencairan Transfer" required>
                                <p th:if="${#fields.hasErrors('nomorRekening')}" th:errors="*{nomorRekening}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="lampiran" class="col-sm-2 control-label">File_Upload</label>

                            <div class="col-sm-10">
                                <input type="file" name="lampiran" id="lampiran" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">

                                <p class="help-block">Upload file Invoice Atau tagihan pembayaran lain nya jika diperlukan.</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="inputKeterangan" class="col-sm-2 control-label">Keterangan</label>

                            <div class="col-sm-10">
                                <textarea class="form-control" rows="3" th:field="*{keterangan}" name="ketarangan" id="inputKeterangan" placeholder="Keterangan ..." required></textarea>
                            </div>
                        </div>


                        <input type="hidden" name="id" th:field="*{id}">
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">

                        <a th:href="@{/transaksi/pengajuandana}" class="btn btn-default">Cancel</a>
                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('yyyy-mm-dd', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalPenerimaan').datepicker({
                autoclose: true, locale: { format: 'YYYY-MM-DD' }
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
    <script>
        var fileInput = document.getElementById('lampiran');
        fileInput.addEventListener('change', function(event) {
            var file = event.target.files[0];
            var allowedExtensions = /(\.jpeg|\.jpg|\.png|\.pdf)$/i; // Ekstensi yang diizinkan
            var maxSizeInBytes = 2 * 1024 * 1024; // Ukuran maksimum file dalam bytes (2MB)

            if (!allowedExtensions.exec(file.name)) {
                alert('File yang diunggah harus dalam format JPEG, JPG, PNG, atau PDF.');
                fileInput.value = ''; // Menghapus file yang diunggah
                return false;
            }

            if (file.size > maxSizeInBytes) {
                alert('Ukuran file tidak boleh melebihi 2MB.');
                fileInput.value = ''; // Menghapus file yang diunggah
                return false;
            }
        });
    </script>
</section>
</body>
</html>